package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.AimPlaceContent;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.AimPlaceContentMapper")
public interface AimPlaceContentMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(AimPlaceContent record);

    AimPlaceContent selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AimPlaceContent record);

    List<AimPlaceContent> queryAllAimPlaceContent(AimPlaceContent record);

    List<AimPlaceContent> queryAimPlaceContentByPage(Map<String, Object> parameter);

    int delete(AimPlaceContent record);

    AimPlaceContent queryAimPlaceContent(AimPlaceContent record);

    List<AimPlaceContent> query(AimPlaceContent record);
}

